require "import"
import "android.widget.*"
import "android.content.Intent"
import "android.net.Uri"
import "com.androlua.*"
import "android.content.Context"
import "android.content.ClipData"

layout={
    GridView,
    id="grid",
    numColumns=4,
    layout_width="fill",
    layout_height="fill"
}

items={"Check currently symbol"} -- یہاں وہ آپشنز لکھیں جو آپ دکھانا چاہتے ہیں
dlg=LuaDialog(this)
dlg.View=loadlayout(layout)
grid.adapter=ArrayAdapter(this, android.R.layout.simple_list_item_1, items)
dlg.setTitle("Welcome to all symbols")
dlg.setMessage("This function created by Abdul Rahman Malik")
dlg.setButton("Close", nil)
dlg.show()

-- جب ڈائلاغ باکس شو ہوتا ہے، ساؤنڈ پلی کرنا
service.playSoundTick()

grid.onItemClick=function(l,v,position,id)
    if v.Text == "Check currently symbol" then
        -- جب "Check currently symbol" پر کلک ہو، ساؤنڈ پلی کرنا
        service.playSoundTick()
        dlg.dismiss()
        task(500, function()
            showSymbolDialog()
        end)
    end
end

function showSymbolDialog()
    local symbols = {
        "*", "\"", "'", ":", ";", ".", "#", "$", "_", "&", "%", "©", "®", "✓", "(", "}", "{", "=", "?", "(", ")"
    }
    local symbolLayout = {
        LinearLayout,
        orientation="vertical",
        {
            TextView,
            text="Hello guys here I have provided you all the symbols that are available in each Gboard so if you have problem using Gboard then start using this extension now.",
            layout_margin="10dp"
        },
        {
            ListView,
            id="symbolList",
            layout_width="fill",
            layout_height="0dp",
            layout_weight=1,
            adapter=ArrayAdapter(this, android.R.layout.simple_list_item_1, symbols)
        },
        {
            Button,
            text="Join my WhatsApp group",
            onClick=function()
                openLink("https://chat.whatsapp.com/JP6pciftEU0Fkin1XnepB0")
            end
        },
        {
            Button,
            text="Join my YouTube channel",
            onClick=function()
                openLink("https://youtube.com/@alltechnologyupdate?si=axj7NWWW4y1P0Ioa")
            end
        },
        {
            Button,
            text="Exit",
            onClick=function()
                symbolDlg.dismiss()
            end
        }
    }

    symbolDlg=LuaDialog(this)
    symbolDlg.View=loadlayout(symbolLayout)
    symbolDlg.setTitle("Symbols")
    symbolDlg.show()

    symbolList.onItemClick=function(l,v,position,id)
        local clipboard = activity.getSystemService(Context.CLIPBOARD_SERVICE)
        local clip = ClipData.newPlainText("symbol", symbols[position + 1])
        clipboard.setPrimaryClip(clip)
        service.speak("Symbol copied")
    end
end

function openLink(url)
    local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
    this.startActivity(intent)
end